<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
               "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
lang="en" xml:lang="en">
<head>
<title><b>OpenFOAM release notes for version 1.5</b></title>
<meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1"/>
<meta name="generator" content="Org-mode"/>
<meta name="generated" content="14 July 2008"/>
<meta name="author" content="OpenCFD Ltd."/>
<style type="text/css">
  html {
	font-family: Times, serif;
	font-size: 12pt;
  }
  .title { text-align: center; }
  .todo  { color: red; }
  .done { color: green; }
  .timestamp { color: grey }
  .timestamp-kwd { color: CadetBlue }
  .tag { background-color:lightblue; font-weight:normal }
  .target { }
  pre {
	border: 1pt solid #AEBDCC;
	background-color: #F3F5F7;
	padding: 5pt;
	font-family: courier, monospace;
        font-size: 90%;
  }
  table { border-collapse: collapse; }
  td, th {
	vertical-align: top;
	<!--border: 1pt solid #ADB9CC;-->
  }
  dt { font-weight: bold; }
</style>
</head><body>
<h1 class="title"><b>OpenFOAM release notes for version 1.5</b></h1>
<div id="table-of-contents">
<h2>Table of Contents</h2>
<div id="text-table-of-contents">
<ul>
<li><a href="#sec-1">1 Overview</a></li>
<li><a href="#sec-2">2 GNU/Linux version</a></li>
<li><a href="#sec-3">3 C++ Compiler version</a></li>
<li><a href="#sec-4">4 Developments to solvers (applications)</a></li>
<li><a href="#sec-5">5 Automatic mesher</a></li>
<li><a href="#sec-6">6 Developments to utilities</a></li>
<li><a href="#sec-7">7 Migration from ParaView 2.4 to ParaView 3.x</a></li>
<li><a href="#sec-8">8 Model development</a></li>
<li><a href="#sec-9">9 New functionObjects</a></li>
<li><a href="#sec-10">10 Improvements to boundary conditions</a></li>
<li><a href="#sec-11">11 Other</a></li>
</ul>
</div>
</div>

<div id="outline-container-1" class="outline-2">
<h2 id="sec-1">1 Overview</h2>
<div id="text-1">

<p>OpenFOAM-1.5 is is a significant upgrade to version 1.4 in ways which are
outlined below.  This release passes all our standard tests and the tutorials
have been broadly checked.  If there are any bugs, please report them using
the instructions set out in: <a href="http://www.openfoam.org/bugs.html">http://www.openfoam.org/bugs.html</a>.
</p>
<p>
Most of the developments for this release are in: new applications, e.g. for
multiphase flow and cavitation, buoyancy-flow and heat transfer, high speed
flows and even molecular dynamics; new utilities, e.g. for meshing and case
monitoring; and, new modelling, e.g. in Lagrangian particle tracking,
radiation and rotating frames of reference.  With these new applications come
numerous new example cases.
</p>
</div>

</div>

<div id="outline-container-2" class="outline-2">
<h2 id="sec-2">2 GNU/Linux version</h2>
<div id="text-2">

<p>The 64bit binary packs of the OpenFOAM release were compiled on a machine
running SuSE GNU/Linux version 10.3 and the 32bit on a machine running Ubuntu
GNU/Linux version 7.1 and also tested on Ubuntu 8.04.  We recommend that
users run OpenFOAM on one of these or a similar recent version of GNU/Linux.
This release has also been successfully compiled and tested on older GNU/Linux
releases but this requires the installation of Qt 4.3.? for ParaView-3 to run.
</p>
</div>

</div>

<div id="outline-container-3" class="outline-2">
<h2 id="sec-3">3 C++ Compiler version</h2>
<div id="text-3">

<ul>
<li>
Released compiled with GCC 4.3.1, the latest version.
</li>
<li>
Built in support for the Intel C++ 10.? compiler (untested).
</li>
<li>
The choice of the compiler is controlled by the setting of the $WM_COMPILER
and $WM_COMPILER_ARCH environment variables in the OpenFOAM-1.5/etc/bashrc
(or cshrc) file.
</li>
<li>
The location of the installation of the compiler is controlled by the
$WM_COMPILER_INST environment variable in the OpenFOAM-1.5/etc/settings.sh
(or settings.csh) file.

</li>
</ul>
</div>

</div>

<div id="outline-container-4" class="outline-2">
<h2 id="sec-4">4 Developments to solvers (applications)</h2>
<div id="text-4">

<ul>
<li>
New rhoCentralFoam solver for high-speed, viscous, compressible flows using
non-oscillatory, central-upwind schemes.
</li>
<li>
New interDyMFoam solver for 2 incompressible, isothermal, immiscible fluids
using a VoF phase-fraction based interface capturing approach, with optional
mesh motion and mesh topology changes including adaptive mesh
(un)refinement.  Useful for simulations such as tank filling, sloshing ---
using solid body motion e.g. SDA or SKA (6DoF) &mdash; and slamming (using the
mesh motion solver) and other large-scale applications that benefit from the
efficiency gain of adaptive mesh (un)refinement of the interface.
</li>
<li>
New compressibleInterFoam solver for 2 compressible, isothermal, immiscible
fluids using a volume of fluid (VoF) phase-fraction approach for
interface-capturing.  The momentum and other fluid properties are of the
"mixture" and a single momentum equation is solved.  Turbulence is modelled
using a run-time selectable incompressible LES model.
</li>
<li>
New interPhaseChangeFoam solver for 2 incompressible, isothermal, immiscible
fluids with phase-change, e.g. cavitation.  Uses VoF interface capturing,
with momentum and other fluid properties described for the ``mixture'' and a
single momentum equation is solved.  The set of phase-change models provided
are designed to simulate cavitation but other mechanisms of phase-change are
supported within this solver framework.
</li>
<li>
New rasCavitatingFoam solver for transient cavitation using a barotropic
compressibility model, with RAS turbulence.
</li>
<li>
New lesCavitatingFoam solver for transient cavitation using a barotropic
compressibility model, with LES turbulence.
</li>
<li>
New chtMultiRegionFoam solver that couples conjugate heat transfer in a
solid to a buoyancy-driven flow simulation.
</li>
<li>
New PDRFoam solver for compressible premixed/partially-premixed turbulent
combustion that includes porosity/distributed resistance (PDR) modelling to
handle regions containing solid blockages which cannot be resolved by the
mesh.  Requires the PDR fields.
</li>
<li>
New lesBuoyantFoam solver for transient, buoyant, turbulent flow of
compressible fluids for ventilation and heat-transfer. Turbulence is
modelled using a run-time selectable compressible LES model.
</li>
<li>
New rhoPimpleFoam solver for transient, turbulent flow of compressible
fluids for ventilation and heat-transfer. Uses the flexible PIMPLE
(PISO-SIMPLE) solution for time-resolved and pseudo-transient simulations.
</li>
<li>
New buoyantSimpleRadiationFoam solver for steady-state, buoyant, turbulent
flow of compressible fluids with radiation, for ventilation and
heat-transfer.
</li>
<li>
New rhoTurbTwinParcelFoam solver for transient for compressible, turbulent
flow with two thermo-clouds.
</li>
<li>
New gnemdFOAM solver for general purpose molecular dynamics that simulates
atoms in arbitrary shaped domains and average atomic/molecular quantities to
the mesh to create field data.
</li>
<li>
New mdEqulibrationFoam solver to equilibrates and/or preconditions molecular
dynamics systems.
</li>
<li>
Demonstration SRFSimpleFoam solver based on simpleFoam that incorporates the
SRF extensions (see below) for rotating flows.

</li>
</ul>
</div>

</div>

<div id="outline-container-5" class="outline-2">
<h2 id="sec-5">5 Automatic mesher</h2>
<div id="text-5">

<p>New snappyHexMesh utility that generates split-hex meshes automatically from
triangulated (STL) surface geometries.  The mesh approximately conforms to
the surface by iteratively refining a starting mesh and morphing the
resulting split-hex mesh to the surface.  An optional phase will shrink back
the resulting mesh and insert cell layers.  It has a flexible specification
of mesh refinement level and robust surface handling with a pre-specified
final mesh quality.  It runs in parallel with a load balancing step every
iteration.
</p>
</div>

</div>

<div id="outline-container-6" class="outline-2">
<h2 id="sec-6">6 Developments to utilities</h2>
<div id="text-6">

<ul>
<li>
New extrude2DMesh utility that extrudes 2D meshes into a 3D mesh.  2D meshes
are described by faces with 2 points, so can be used in combination with 2D
meshes converted with ccm26ToFoam.
</li>
<li>
New couplePatches functionality integrated into createPatch, which
optionally synchronises ("couples") points and faces of coupled (cyclic,
processor) patches.
</li>
<li>
New applyBoundaryLayer pre-processing utility to apply 1/7th power-law
boundary layers at walls, starting from uniform or potential flow solutions.
</li>
<li>
New execFlowFunctionObjects utility executes functionObjects as a
post-processing activity, e.g. probes, sampling, force calculation.
</li>
<li>
New changeDictionary utility makes batch changes to OpenFOAM input files,
e.g. to change boundary conditions of field files.
</li>
<li>
New foamCalc utility, a generic post-processing field calculator tool
</li>
<li>
New molConfig pre-processing utility for molecular dynamics cases.  Fills
zones of a mesh with single crystal lattices of specified structure,
density, orientation, alignment and temperature.
</li>
<li>
Extended splitMeshRegions utility to split multi-zone meshes, e.g. defined
through cellZones, into separate meshes.
</li>
<li>
Extended the foamToVTK, decomposePar, reconstructPar and mapFields utilities
to include support for multiple particle clouds in parallel processing.

</li>
</ul>
</div>

</div>

<div id="outline-container-7" class="outline-2">
<h2 id="sec-7">7 Migration from ParaView 2.4 to ParaView 3.x</h2>
<div id="text-7">

<ul>
<li>
Rewritten OpenFOAM Reader Module for version 3, a major redesign of
ParaView.
</li>
<li>
New features include viewing patch names, reading of Lagrangian data,
handling of cell, face and point sets, multiple views.

</li>
</ul>
</div>

</div>

<div id="outline-container-8" class="outline-2">
<h2 id="sec-8">8 Model development</h2>
<div id="text-8">

<ul>
<li>
Overhauled the lagrangian library to support multiple clouds.
</li>
<li>
New lagrangianIntermediate library incorporating a hierarchy of parcel and
cloud types, accommodating kinematic, thermodynamic and reacting
applications, including coupling to the new radiation library. Sub-models
are added at the relevant level of physics, e.g.:
<ul>
<li>
kinematic: injection, wall interaction, drag, dispersion;
</li>
<li>
thermo: heat transfer;
</li>
<li>
reacting: reacting composition, mass transfer, surface reactions.
</li>
</ul>
</li>
<li>
New single rotating frame of reference (SRF) library for rotating flow
applications, e.g. turbo-machinery.
</li>
<li>
New radiation library including the P1 model and associated Marshak boundary
conditions for incident radiation.
</li>
<li>
New displacementInterpolation motion solver for flexible mesh scaling.
</li>
<li>
New molecularDynamics Lagrangian library to calculate intermolecular forces
between spherically symmetrical monatomic species in arbitrary geometries.

</li>
</ul>
</div>

</div>

<div id="outline-container-9" class="outline-2">
<h2 id="sec-9">9 New functionObjects</h2>
<div id="text-9">

<p>To aid common monitoring and post-processing activities.
</p><ul>
<li>
forces: calculate the force and moment on a patch or set of patches, e.g. to
calculate the lift, drag and moment of an object in the flow.
</li>
<li>
forceCoeffs: calculate the normalised force and moment on a patch or set of
patches, e.g. to calculate the lift, drag and moment coefficients of an
object in the flow.
</li>
<li>
fieldAverage: calculate field arithmetic mean and prime-squared averages for
a list of fields.
</li>
<li>
foamCalcFunctions: calculate field components, div, mag, magGrad or magSqr.

</li>
</ul>
</div>

</div>

<div id="outline-container-10" class="outline-2">
<h2 id="sec-10">10 Improvements to boundary conditions</h2>
<div id="text-10">

<ul>
<li>
Generalised jumpCyclic type: cyclic condition with an additional prescribed
jump in value.
</li>
<li>
fan type: specialisation of jumpCyclic, applying a prescribed jump in
pressure to simulate a fan within a mesh.
</li>
<li>
Generalised advective outflow boundary condition based on solving D/Dt(psi,
U) = 0 at the boundary.
</li>
<li>
Additional turbulent flow inlet to specify mixing length and frequency.
</li>
<li>
Generalisation of time varying set of boundary conditions.

</li>
</ul>
</div>

</div>

<div id="outline-container-11" class="outline-2">
<h2 id="sec-11">11 Other</h2>
<div id="text-11">

<ul>
<li>
New argument-free command execution, e.g typing "icoFoam" without root and
case directory arguments.
</li>
<li>
Extended time command line options.
</li>
<li>
Many enhancements to dictionary including macro substitution, optional
merging and default/overwrite behaviour, enhanced "#include" file handling
and the framework to support function evaluation.
</li>
<li>
Cross-links between applications and Doxygen documentation with the "-doc"
argument.
</li>
<li>
Non-blocking, non-buffered, parallel transfers with potential scaling
benefits for larger number of processors.
</li>
</ul>
</div>
</div>
<div id="postamble"><p class="date"> Date: 14 July 2008</p>
<p>HTML generated by org-mode 6.05a in emacs 23<p>
</div></body>
</html>
